OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
CDM

# CDM_ListOfReferences Class Reference

`#include <CDM_ListOfReferences.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CDM_ListOfReferences ()
Standard_EXPORT void | Assign (const CDM_ListOfReferences &Other)
void | operator= (const CDM_ListOfReferences &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~CDM_ListOfReferences ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Handle(CDM_Reference)&I)
Standard_EXPORT void | Prepend (const Handle(CDM_Reference)&I, CDM_ListIteratorOfListOfReferences &theIt)
Standard_EXPORT void | Prepend (CDM_ListOfReferences &Other)
Standard_EXPORT void | Append (const Handle(CDM_Reference)&I)
Standard_EXPORT void | Append (const Handle(CDM_Reference)&I, CDM_ListIteratorOfListOfReferences &theIt)
Standard_EXPORT void | Append (CDM_ListOfReferences &Other)
Standard_EXPORT Handle_CDM_Reference & | First () const
Standard_EXPORT Handle_CDM_Reference & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (CDM_ListIteratorOfListOfReferences &It)
Standard_EXPORT void | InsertBefore (const Handle(CDM_Reference)&I, CDM_ListIteratorOfListOfReferences &It)
Standard_EXPORT void | InsertBefore (CDM_ListOfReferences &Other, CDM_ListIteratorOfListOfReferences &It)
Standard_EXPORT void | InsertAfter (const Handle(CDM_Reference)&I, CDM_ListIteratorOfListOfReferences &It)
Standard_EXPORT void | InsertAfter (CDM_ListOfReferences &Other, CDM_ListIteratorOfListOfReferences &It)
## Private Member Functions
Standard_EXPORT | CDM_ListOfReferences (const CDM_ListOfReferences &Other)
## Private Attributes
Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT CDM_ListOfReferences::CDM_ListOfReferences | ( |  | ) |

CDM_ListOfReferences::~CDM_ListOfReferences | ( |  | ) | `[inline]`

Standard_EXPORT CDM_ListOfReferences::CDM_ListOfReferences | ( | const CDM_ListOfReferences & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void CDM_ListOfReferences::Append | ( | CDM_ListOfReferences & | Other | ) |

Standard_EXPORT void CDM_ListOfReferences::Append | ( | const Handle(CDM_Reference)& | I,
|  | CDM_ListIteratorOfListOfReferences & | theIt
| ) |

Standard_EXPORT void CDM_ListOfReferences::Append | ( | const Handle(CDM_Reference)& | I | ) |

Standard_EXPORT void CDM_ListOfReferences::Assign | ( | const CDM_ListOfReferences & | Other | ) |

Standard_EXPORT void CDM_ListOfReferences::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer CDM_ListOfReferences::Extent | ( |  | ) | const

Standard_EXPORT Handle_CDM_Reference& CDM_ListOfReferences::First | ( |  | ) | const

Standard_EXPORT void CDM_ListOfReferences::InsertAfter | ( | CDM_ListOfReferences & | Other,
|  | CDM_ListIteratorOfListOfReferences & | It
| ) |

Standard_EXPORT void CDM_ListOfReferences::InsertAfter | ( | const Handle(CDM_Reference)& | I,
|  | CDM_ListIteratorOfListOfReferences & | It
| ) |

Standard_EXPORT void CDM_ListOfReferences::InsertBefore | ( | CDM_ListOfReferences & | Other,
|  | CDM_ListIteratorOfListOfReferences & | It
| ) |

Standard_EXPORT void CDM_ListOfReferences::InsertBefore | ( | const Handle(CDM_Reference)& | I,
|  | CDM_ListIteratorOfListOfReferences & | It
| ) |

Standard_Boolean CDM_ListOfReferences::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_CDM_Reference& CDM_ListOfReferences::Last | ( |  | ) | const

void CDM_ListOfReferences::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CDM_ListOfReferences::operator new | ( | size_t | size | ) | `[inline]`

void* CDM_ListOfReferences::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void CDM_ListOfReferences::operator= | ( | const CDM_ListOfReferences & | Other | ) | `[inline]`

Standard_EXPORT void CDM_ListOfReferences::Prepend | ( | CDM_ListOfReferences & | Other | ) |

Standard_EXPORT void CDM_ListOfReferences::Prepend | ( | const Handle(CDM_Reference)& | I,
|  | CDM_ListIteratorOfListOfReferences & | theIt
| ) |

Standard_EXPORT void CDM_ListOfReferences::Prepend | ( | const Handle(CDM_Reference)& | I | ) |

Standard_EXPORT void CDM_ListOfReferences::Remove | ( | CDM_ListIteratorOfListOfReferences & | It | ) |

Standard_EXPORT void CDM_ListOfReferences::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address CDM_ListOfReferences::myFirst`[private]`

Standard_Address CDM_ListOfReferences::myLast`[private]`

The documentation for this class was generated from the following file:

- CDM_ListOfReferences.hxx